package aliyun.demo.todayhistory;

/**
 * ʷϵĽѯӿ
 */
import java.util.HashMap;
import java.util.Map;

import org.apache.http.HttpResponse;
import org.apache.http.util.EntityUtils;

import aliyun.util.HttpUtils;
import net.sf.json.JSONArray;
import net.sf.json.JSONObject;

public class QueryDemo {
	public final static String host = "http://jisulssdjt.market.alicloudapi.com";
	public static final String day = "2";
	public static final String month = "1";

	public static void main(String[] args) throws Exception {
		String path = "/todayhistory/query";
		Map<String, String> headers = new HashMap<String, String>();
		headers.put("Authorization", "APPCODE ԼAppCode");

		// query
		Map<String, String> querys = new HashMap<String, String>();
		querys.put("day", day);
		querys.put("month", month);
		try {
			HttpResponse response = HttpUtils.doGet(host, path, "GET", headers, querys);
			// response Head
			// System.out.println(response.toString());
			String result = EntityUtils.toString(response.getEntity());
			JSONObject json = JSONObject.fromObject(result);
			if (json.getInt("status") != 0) {
				System.out.println(json.getString("msg"));
			} else {
				JSONArray resultarr = json.optJSONArray("result");
				for (int i = 0; i < resultarr.size(); i++) {
					JSONObject obj = (JSONObject) resultarr.opt(i);
					String title = obj.getString("title");
					String year = obj.getString("year");
					String month = obj.getString("month");
					String day = obj.getString("day");
					String content = obj.getString("content");
					System.out.println(title + " " + year + " " + month + " " + day + " " + content);
				}
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
