package jisuapi.demo.todayhistory;

/**
 * ʷϵĽѯӿ
 */
import jisuapi.util.HttpUtil;
import net.sf.json.JSONArray;
import net.sf.json.JSONObject;

public class QueryDemo {
	public static final String appcode = "ԼAppCode";
	public static final String URL = "http://jisulssdjt.market.alicloudapi.com/todayhistory/query";
	public static final String day = "2";
	public static final String month = "1";

	public static void main(String[] args) {
		String result = null;
		String url = URL + "?day=" + day+"&month="+month;

		try {
			result = HttpUtil.sendGet(url, "utf-8", appcode);
			JSONObject json = JSONObject.fromObject(result);
			if (json.getInt("status") != 0) {
				System.out.println(json.getString("msg"));
			} else {
				JSONArray resultarr = json.optJSONArray("result");
				for (int i = 0; i < resultarr.size(); i++) {
					JSONObject obj = (JSONObject) resultarr.opt(i);
					String title = obj.getString("title");
					String year = obj.getString("year");
					String month = obj.getString("month");
					String day = obj.getString("day");
					String content = obj.getString("content");
					System.out.println(title + " " + year + " " + month + " " + day + " " + content);
				}
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
